var search_data = {"index":{"searchIndex":["datafilter","filterset","dsl","classmethods","keywordfilter","likefilter","prefixfilter","rangefilter","rangeoverlapfilter","truthyfilter","add_filter()","batch()","call()","call()","call()","call()","call()","call()","create()","filter()","included()","is_falsey?()","is_falsey?()","keyword_filter()","like_filter()","method_missing()","new()","new()","new()","new()","new()","new()","new()","prefix_filter()","range_filter()","range_overlap_filter()","respond_to_missing?()","starts_with?()","truthy_filter()"],"longSearchIndex":["datafilter","datafilter::filterset","datafilter::filterset::dsl","datafilter::filterset::dsl::classmethods","datafilter::keywordfilter","datafilter::likefilter","datafilter::prefixfilter","datafilter::rangefilter","datafilter::rangeoverlapfilter","datafilter::truthyfilter","datafilter::filterset#add_filter()","datafilter::filterset#batch()","datafilter::keywordfilter#call()","datafilter::likefilter#call()","datafilter::prefixfilter#call()","datafilter::rangefilter#call()","datafilter::rangeoverlapfilter#call()","datafilter::truthyfilter#call()","datafilter::filterset::dsl::classmethods#create()","datafilter::filterset#filter()","datafilter::filterset::dsl::included()","datafilter::filterset::dsl#is_falsey?()","datafilter::truthyfilter#is_falsey?()","datafilter::filterset::dsl#keyword_filter()","datafilter::filterset::dsl#like_filter()","datafilter::filterset::dsl#method_missing()","datafilter::filterset::new()","datafilter::keywordfilter::new()","datafilter::likefilter::new()","datafilter::prefixfilter::new()","datafilter::rangefilter::new()","datafilter::rangeoverlapfilter::new()","datafilter::truthyfilter::new()","datafilter::filterset::dsl#prefix_filter()","datafilter::filterset::dsl#range_filter()","datafilter::filterset::dsl#range_overlap_filter()","datafilter::filterset::dsl#respond_to_missing?()","datafilter::prefixfilter#starts_with?()","datafilter::filterset::dsl#truthy_filter()"],"info":[["DataFilter","","DataFilter.html","",""],["DataFilter::FilterSet","","DataFilter/FilterSet.html","","<p>Represents a collection of data filters that can be called on data. Provides a DSL for creating a filter …\n"],["DataFilter::FilterSet::DSL","","DataFilter/FilterSet/DSL.html","","<p>A DSL for creating a series of filters that can be called\n<p>Provides a cleaner way to define a {DataFilter::FilterSet} …\n"],["DataFilter::FilterSet::DSL::ClassMethods","","DataFilter/FilterSet/DSL/ClassMethods.html","",""],["DataFilter::KeywordFilter","","DataFilter/KeywordFilter.html","","<p>Used to filter a data item by a search term by seeing if ANY of the data fields&#39; values are similar …\n"],["DataFilter::LikeFilter","","DataFilter/LikeFilter.html","","<p>Used to filter a data item by a search term by seeing if the data field value is similar to the search …\n"],["DataFilter::PrefixFilter","","DataFilter/PrefixFilter.html","","<p>Used to filter a data item by a prefix by seeing if the data field value starts with the prefix\n<p>@example …\n"],["DataFilter::RangeFilter","","DataFilter/RangeFilter.html","","<p>Used to filter a data item by some range by seeing if the data field value falls within that range\n<p>@example …\n"],["DataFilter::RangeOverlapFilter","","DataFilter/RangeOverlapFilter.html","","<p>Used to filter a data item by a set of ranges by seeing if the data field value intersects that range …\n"],["DataFilter::TruthyFilter","","DataFilter/TruthyFilter.html","","<p>Used to filter a data item by whether it is truthy/falsey\n<p>@example\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">object</span> = <span class=\"ruby-constant\">MyModel</span>.<span class=\"ruby-identifier\">new</span>(<span class=\"ruby-value\">is_alive:</span> <span class=\"ruby-string\">&#39;false&#39;</span>) <span class=\"ruby-operator\">...</span>\n</pre>\n"],["add_filter","DataFilter::FilterSet","DataFilter/FilterSet.html#method-i-add_filter","(filter)","<p>Add a filter to the filter set\n<p>@param filter [#call]\n\n<pre>a callable filter. Can be a proc, lambda, or any object ...</pre>\n"],["batch","DataFilter::FilterSet","DataFilter/FilterSet.html#method-i-batch","(items)","<p>Run the filter set on a collection of data items\n<p>@param items [Enumerable&lt;Object&gt;] collection of …\n"],["call","DataFilter::KeywordFilter","DataFilter/KeywordFilter.html#method-i-call","(item)","<p>Filters the item\n<p>@param item [Comparable] the item we want to filter @return [Object] the original data …\n"],["call","DataFilter::LikeFilter","DataFilter/LikeFilter.html#method-i-call","(item)","<p>Filters the item\n<p>@param item [Object] the item we want to filter @return [Object, nil] the original data …\n"],["call","DataFilter::PrefixFilter","DataFilter/PrefixFilter.html#method-i-call","(item)","<p>Filters the item\n<p>@param item [Object] the item we want to filter @return [Object, nil] the original data …\n"],["call","DataFilter::RangeFilter","DataFilter/RangeFilter.html#method-i-call","(item)","<p>Filters the item\n<p>@param item [Comparable] the item we want to filter @return [Object] the original data …\n"],["call","DataFilter::RangeOverlapFilter","DataFilter/RangeOverlapFilter.html#method-i-call","(item)","<p>Filters the item\n<p>@param item [Comparable] the item we want to filter @return [Object] the original data …\n"],["call","DataFilter::TruthyFilter","DataFilter/TruthyFilter.html#method-i-call","(item)","<p>Filters the item\n<p>@param item [Object] the item we want to filter @return [Object, nil] the original data …\n"],["create","DataFilter::FilterSet::DSL::ClassMethods","DataFilter/FilterSet/DSL/ClassMethods.html#method-i-create","(&block)","<p>Initializes a new {DataFilter::FilterSet} using a block. The block conforms to the DSL defined in this …\n"],["filter","DataFilter::FilterSet","DataFilter/FilterSet.html#method-i-filter","(item)","<p>Run the filter set on a single data item\n<p>@param item [Object] some item that we want to pass through all …\n"],["included","DataFilter::FilterSet::DSL","DataFilter/FilterSet/DSL.html#method-c-included","(base)",""],["is_falsey?","DataFilter::FilterSet::DSL","DataFilter/FilterSet/DSL.html#method-i-is_falsey-3F","(val)","<p>TODO DRY up\n"],["is_falsey?","DataFilter::TruthyFilter","DataFilter/TruthyFilter.html#method-i-is_falsey-3F","(val)","<p>@private\n"],["keyword_filter","DataFilter::FilterSet::DSL","DataFilter/FilterSet/DSL.html#method-i-keyword_filter","(field_syms, opts = {})","<p>Adds a {DataFilter::KeywordFilter} to the filter set\n<p>@param field_syms [Array&lt;Symbol&gt;] a collection …\n"],["like_filter","DataFilter::FilterSet::DSL","DataFilter/FilterSet/DSL.html#method-i-like_filter","(field_sym, opts = {})","<p>Adds a {DataFilter::LikeFilter} to the filter set\n<p>@param field_sym [Symbol] name of the data method we …\n"],["method_missing","DataFilter::FilterSet::DSL","DataFilter/FilterSet/DSL.html#method-i-method_missing","(sym, *args, &block)","<p>Used to support the DSL. Calls out to the parent scope if we receive a message we can&#39;t respond to …\n"],["new","DataFilter::FilterSet","DataFilter/FilterSet.html#method-c-new","()",""],["new","DataFilter::KeywordFilter","DataFilter/KeywordFilter.html#method-c-new","(field_syms, search_term)","<p>@param field_syms [Array&lt;Symbol&gt;] a collection of all of the data\n\n<pre>methods we want to inspect when ...</pre>\n"],["new","DataFilter::LikeFilter","DataFilter/LikeFilter.html#method-c-new","(field_sym, search_term, normalize_regex = nil)","<p>@param field_sym [Symbol] name of the data method we want\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">to</span> <span class=\"ruby-identifier\">filter</span>\n</pre>\n<p>@param search_term [String] the value …\n"],["new","DataFilter::PrefixFilter","DataFilter/PrefixFilter.html#method-c-new","(field_sym, prefix)","<p>@param field_sym [Symbol] name of the data method we want\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">to</span> <span class=\"ruby-identifier\">filter</span>\n</pre>\n<p>@param prefix [String] the value we …\n"],["new","DataFilter::RangeFilter","DataFilter/RangeFilter.html#method-c-new","(field_sym, floor: nil, ceiling: nil, nil_default: nil)","<p>@param field_sym [Symbol] the field to filter on @param floor [Comparable] the range beginning we want …\n"],["new","DataFilter::RangeOverlapFilter","DataFilter/RangeOverlapFilter.html#method-c-new","(start_sym, end_sym, floor: nil, ceiling: nil, nil_default: nil)","<p>@param start_sym [Symbol] the range start to filter on @param end_sym [Symbol] the range end to filter …\n"],["new","DataFilter::TruthyFilter","DataFilter/TruthyFilter.html#method-c-new","(field_sym, invert: false)","<p>@param field_sym [Symbol] the name of the field to filter by @param invert [Boolean] (default: false) …\n"],["prefix_filter","DataFilter::FilterSet::DSL","DataFilter/FilterSet/DSL.html#method-i-prefix_filter","(field_sym, opts = {})","<p>Adds a {DataFilter::PrefixFilter} to the filter set\n<p>@param field_sym [Symbol] name of the data method …\n"],["range_filter","DataFilter::FilterSet::DSL","DataFilter/FilterSet/DSL.html#method-i-range_filter","(field_sym, opts = {})","<p>Adds a {DataFilter::RangeFilter} to the filter set\n<p>@param field_sym [Symbol] name of the data method we …\n"],["range_overlap_filter","DataFilter::FilterSet::DSL","DataFilter/FilterSet/DSL.html#method-i-range_overlap_filter","(start_sym, end_sym, opts = {})","<p>Adds a {DataFilter::RangeOverlapFilter} to the filter set\n<p>@param start_sym [Symbol] name of the start …\n"],["respond_to_missing?","DataFilter::FilterSet::DSL","DataFilter/FilterSet/DSL.html#method-i-respond_to_missing-3F","(sym, include_all = false)","<p>Used to support the DSL. Calls out to the parent scope if we receive a message we can&#39;t respond to …\n"],["starts_with?","DataFilter::PrefixFilter","DataFilter/PrefixFilter.html#method-i-starts_with-3F","(actual, prefix)",""],["truthy_filter","DataFilter::FilterSet::DSL","DataFilter/FilterSet/DSL.html#method-i-truthy_filter","(field_sym, match: nil)","<p>Adds a {DataFilter::TruthyFilter} to the filter set\n<p>@param field_sym [Symbol] name of the field to match …\n"]]}}